List Shopping Lists
Get a list of shopping lists viewable based on user permissions of a buyer user ID.
A junior buyer can see all of the lists they create and no one else's.
A senior buyer or admin can see all of the companies approved or ready for approval lists. This would include lists sent by junior buyers.
Authentication
X-Auth-Tokenstring
### Authentication header
| Header | Argument | Description |
|:-------|:---------|:------------|
| `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts). |
### Further reading
For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests).
For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes).
For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
X-Store-Hashstring
### Authentication header
| Header | Argument | Description |
|:-------|:---------|:------------|
| `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |
Query parameters
userId
B2B Edition buyer user ID (Either userId or customerId must be passed, but not both.)
limit
Pagination limit default: 10
offset
Pagination offset default: 0
channelId
BigCommerce channel ID
customerId
BigCommerce customer ID (Either userId or customerId must be passed, but not both.)
createdUserId
B2B Edition buyer user ID, if the userId has permissions to view all shopping lists of the company, entering this parameter will filter out the shopping lists created by that user.
Response
OK
code
Response code of success request.
meta
Used to response pagination information
data
Errors
422
Unprocessable Entity Error